/*
  Copyright Eric Reese, 2005
  This code is part of KLBDT and is distributed under the GNU GPL, version 2 or
  (at your option) any later version as published by the Free Software Foundation.
  This comes with no warranty whatsoever, without even the implied warranty of
  merchantability or fitness for a particular purpose.  It might not even work.
  See the GNU GPL for more details. http://www.gnu.org/licenses/gpl.txt

  http://kyzentun.tejat.net/contact.html lists ways of contacting me.
 */
#ifndef SDL_COMMAND_LINE_HH
#define SDL_COMMAND_LINE_HH

#include <string>
#include <list>
#include "SDL.h"

#include "error.hh"

std::string sdlk_to_string(SDLKey sdlk);
std::string get_raw_command_line() throw(error);
std::string get_file_name() throw(error);
std::string get_int() throw(error);
void cook_command_line(std::string& src, std::list<std::string>& dest);
void display_error(std::string& cause);

#endif
