/*
  Copyright Eric Reese, 2005
  This code is part of KLBDT and is distributed under the GNU GPL, version 2 or
  (at your option) any later version as published by the Free Software Foundation.
  This comes with no warranty whatsoever, without even the implied warranty of
  merchantability or fitness for a particular purpose.  It might not even work.
  See the GNU GPL for more details. http://www.gnu.org/licenses/gpl.txt

  http://kyzentun.tejat.net/contact.html lists ways of contacting me.
 */
#ifndef TEMPLATE_IO
#define TEMPLATE_IO

#include <string>

#include "error.hh"
#include "happy_list.hh"
#include "line.hh"

void read_line_templates(std::string const& file_name, happy_list<basic_line>& dest_templates) throw(error);
void save_line_templates(std::string const& file_name, happy_list<basic_line> const& src_templates) throw(error);
void convert_line_to_template(line const& src, basic_line& dest) throw(error);

#endif
